본문으로 건너뛰기
버전: SDK-5.11.3

SignIn with Google 사용

GPGS V2(11.01 이상) 연동 불가 안내

구글 정책 변경으로 인해 2024년 3월부터 적용되는 차세대 플레이어 ID의 의무화로 인해, 기존에 GPGS V1(~v10.14)을 사용하고 있던 경우, 반드시 GPGS V2(v11.01) 로 교체해야 합니다.

그러나 뒤끝에서는 GPGS V1 인증 시에 Play Game Services의 games_lite가 아닌 openid를 사용하여 구글 계정에 대한 정보를 수집하고 있었기 때문에, openid에 대한 접근 권한이 불가능해진 GPGS V2로는 기존의 구글 로그인과의 연동이 불가능해졌습니다.

따라서, 기존에 GPGS를 사용하여 뒤끝 페데레이션 로그인을 하던 고객은 GPGS V2 대신 구글 로그인을 사용하여 페데레이션 로그인을 진행해야 합니다.

설명

구글 페데레이션 로그인은 뒤끝 구글 로그인 SDK를 이용하여 진행할 수 있습니다.

혹은 구글 로그인 성공 이후의 액세스 토큰을 얻을 수 있다면 구글 로그인에 관련된 유료 에셋이나, 구글 공식 유니티 구글 로그인 SDK(2018년 마지막 업데이트), 안드로이드 구글 플러그인을 이용해 직접 구현한 SDK도 사용할 수 있습니다.

GPGS와 뒤끝 구글로그인 SDK은 혼합 사용이 불가능하니, GPGS V1와 관련된 플러그인을 삭제한 후에 진행해주시기 바랍니다.